Subject: :bomb: decoding issue
Author: KolushovAlexandr
Committer: KolushovAlexandr

Date Level Type Message
2019-07-09 07:53:40 INFO runbot init Init build environment
2019-07-09 07:53:40 INFO runbot checkout closest branch for it-projects-llc/misc-addons is refs/heads/12.0
2019-07-09 07:53:40 INFO runbot checkout closest branch for odoo/odoo is refs/heads/12.0
2019-07-09 07:53:40 INFO runbot checkout closest branch for it-projects-llc/web is refs/heads/12.0
2019-07-09 07:53:40 INFO runbot checkout closest branch for it-projects-llc/website-addons is refs/heads/12.0
2019-07-09 07:53:40 INFO runbot checkout ignore repo "pos-addons" as all modules are already in addons-dev branch
2019-07-09 07:53:40 INFO runbot checkout closest branch for it-projects-llc/l10n-addons is refs/heads/12.0
2019-07-09 07:53:40 INFO runbot checkout closest branch for it-projects-llc/access-addons is refs/heads/12.0
2019-07-09 07:53:40 INFO runbot checkout closest branch for it-projects-llc/mail-addons is refs/heads/12.0
2019-07-09 07:53:40 INFO runbot checkout closest branch for it-projects-llc/rental-addons is master
2019-07-09 07:53:40 INFO runbot checkout closest branch for it-projects-llc/website is master
2019-07-09 07:53:40 INFO runbot checkout closest branch for it-projects-llc/hr is refs/heads/12.0
2019-07-09 07:53:40 INFO runbot checkout closest branch for it-projects-llc/reporting-engine is master
2019-07-09 07:53:40 INFO runbot checkout closest branch for OCA/event is refs/heads/12.0
2019-07-09 07:53:40 INFO runbot checkout closest branch for OCA/partner-contact is refs/heads/12.0
2019-07-09 07:53:40 INFO runbot checkout modules to install: [u'pos_mail']
2019-07-09 07:54:22 INFO runbot check_branch_name success
2019-07-09 07:54:25 INFO runbot test_base Test Updated and explicit modules
2019-07-09 07:54:25 INFO runbot _install_and_test DB: 00796-664-36b6af-base, Modules: pos_mail
2019-07-09 07:56:08 INFO runbot pylint_script Start pylint script
2019-07-09 07:56:08 INFO runbot pylint_script No config file detected
2019-07-09 07:56:26 INFO runbot test_all Testing all modules is not configured for this repo
2019-07-09 07:56:26 INFO runbot run Start running build 00796-664-36b6af
2019-07-09 09:38:52 ERROR server werkzeug:87 _log
Error on request:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 205, in run_wsgi
    execute(self.server.app)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/serving.py", line 193, in execute
    application_iter = app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/service/wsgi_server.py", line 128, in application
    return application_unproxied(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/service/wsgi_server.py", line 117, in application_unproxied
    result = odoo.http.root(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 1320, in __call__
    return self.dispatch(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 1293, in __call__
    return self.app(environ, start_wrapped)
  File "/usr/local/lib/python3.6/site-packages/werkzeug/wsgi.py", line 599, in __call__
    return self.app(environ, start_response)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 1488, in dispatch
    result = ir_http._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/auth_signup/models/ir_http.py", line 19, in _dispatch
    return super(Http, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/web_editor/models/ir_http.py", line 22, in _dispatch
    return super(IrHttp, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/http_routing/models/ir_http.py", line 397, in _dispatch
    result = super(IrHttp, cls)._dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/ir_http.py", line 207, in _dispatch
    return cls._handle_exception(e)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/ir_http.py", line 177, in _handle_exception
    return request._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 776, in _handle_exception
    return super(HttpRequest, self)._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 314, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/ir_http.py", line 203, in _dispatch
    result = request.dispatch()
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 835, in dispatch
    r = self._call_function(**self.params)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 346, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 342, in checked_call
    result.flatten()
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 1270, in flatten
    self.response.append(self.render())
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 1263, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/ir_ui_view.py", line 1284, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/ir_ui_view.py", line 1293, in render
    return self.env[engine].render(self.id, qcontext)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/ir_qweb.py", line 59, in render
    result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/qweb.py", line 348, in _compiled_fn
    raise e
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/qweb.py", line 346, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_183_294
    
  File "<template>", line 2, in body_call_content_293
    
  File "<template>", line 3, in set_292
    
  File "<decorator-gen-56>", line 2, in _get_asset_nodes
    
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/ir_qweb.py", line 305, in _get_asset_nodes
    files, remains = self._get_asset_content(xmlid, options)
  File "<decorator-gen-57>", line 2, in _get_asset_content
    
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/ir_qweb.py", line 331, in _get_asset_content
    template = IrQweb.render(xmlid, {"get_modules_order": get_modules_order})
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/ir_qweb.py", line 59, in render
    result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/qweb.py", line 353, in _compiled_fn
    raise QWebException("Error to render compiling AST", e, path, node and etree.tostring(node[0], encoding='unicode'), name)
odoo.addons.base.models.qweb.QWebException: FATAL:  sorry, too many clients already

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_nodes at 0x7f791b0ee0d0>, 'web.assets_backend', 'en_US', True, False, None, False, (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb._get_asset_content at 0x7f791b0ee1e0>, 'web.assets_backend', 'en_US', (None,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/qweb.py", line 346, in _compiled_fn
    return compiled(self, append, new, options, log)
  File "<template>", line 1, in template_web_assets_backend_313
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/base/models/ir_qweb.py", line 329, in get_modules_order
    return json.dumps(module_boot())
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/addons/web/controllers/main.py", line 189, in module_boot
    monodb = db or db_monodb()
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 1537, in db_monodb
    dbs = db_list(True, httprequest)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/http.py", line 1504, in db_list
    dbs = odoo.service.db.list_dbs(force)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/service/db.py", line 380, in list_dbs
    res = list_dbs_origin(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/service/db.py", line 397, in list_dbs_origin
    with closing(db.cursor()) as cr:
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/sql_db.py", line 657, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/sql_db.py", line 171, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/sql_db.py", line 540, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/00796-664-36b6af/odoo/sql_db.py", line 608, in borrow
    **connection_info)
  File "/usr/local/lib/python3.6/site-packages/psycopg2/__init__.py", line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: FATAL:  sorry, too many clients already


Error to render compiling AST
OperationalError: FATAL:  sorry, too many clients already

Template: web.assets_backend
Path: /templates/t/script[5]/t
Node: <t t-raw="get_modules_order()"/>;
2019-07-09 09:46:20 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 09:46:20 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 09:46:41 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 09:46:41 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 09:46:52 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 09:46:52 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 09:46:53 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 09:46:53 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 09:47:00 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 09:47:00 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 09:47:32 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 09:47:32 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:22:08 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:22:08 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:23:10 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:23:10 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:23:15 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:23:15 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:23:16 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:23:16 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:24:16 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:24:16 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:24:28 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:24:28 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:26:36 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:26:36 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:26:38 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:26:38 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:31:49 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:31:49 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:31:53 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:31:53 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:31:56 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:31:56 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:34:09 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:34:09 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001
2019-07-09 10:34:38 WARNING server odoo.addons.point_of_sale.models.pos_order:76 _get_valid_session session POS/2019/07/09/03 (ID: 3) was closed but received order Order 00003-001-0001 (total: 0.9) belonging to it
2019-07-09 10:34:38 WARNING server odoo.addons.point_of_sale.models.pos_order:86 _get_valid_session attempting to create recovery session for saving order Order 00003-001-0001